Bug 1990316 - Deployment with virtualmedia fails on HP setup (real bm) - port missing in iso http path
Summary: Deployment with virtualmedia fails on HP setup (real bm) - port missing in is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.9.0
Assignee: Riccardo Pittau
QA Contact: Lubov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-05 08:17 UTC by Lubov
Modified: 2021-10-18 17:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 205 0 None None None 2021-08-05 08:31:30 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:24 UTC

Description Lubov 2021-08-05 08:17:43 UTC
Description of problem:
Deployment using virtulamedia on real BM setup is failing. In conductor log 

[10:52 AM] ERROR ironic.drivers.modules.inspector [req-3341fc97-3339-45c5-8148-a9b66e77e213 - - - - -] Unable to start managed inspection for node 43280639-4555-4af7-8f98-70b90e8f2773: HTTP POST https://10.46.61.17/redfish/v1/Managers/1/VirtualMedia/2/Actions/VirtualMedia.InsertMedia returned code 400. iLO.0.10.ExtendedInfo: See @Message.ExtendedInfo for more information. Extended information: [{'MessageArgs': ['Image', 'http://10.46.29.196:/redfish/boot-43280639-4555-4af7-8f98-70b90e8f2773.iso?filename=tmpbvh20k07.iso'], 'MessageId': 'Base.1.4.PropertyValueFormatError'}]: sushy.exceptions.BadRequestError: HTTP POST https://10.46.61.17/redfish/v1/Managers/1/VirtualMedia/2/Actions/VirtualMedia.InsertMedia returned code 400. iLO.0.10.ExtendedInfo: See @Message.ExtendedInfo for more information. Extended information: [{'MessageArgs': ['Image', 'http://10.46.29.196:/redfish/boot-43280639-4555-4af7-8f98-70b90e8f2773.iso?filename=tmpbvh20k07.iso'], 'MessageId': 'Base.1.4.PropertyValueFormatError'}]
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector Traceback (most recent call last):
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/ironic/drivers/modules/inspector.py", line 204, in _start_managed_inspection
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     task.driver.boot.prepare_ramdisk(task, ramdisk_params=params)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/ironic/drivers/modules/redfish/boot.py", line 548, in prepare_ramdisk
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     _insert_vmedia(task, managers, iso_ref, sushy.VIRTUAL_MEDIA_CD)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/tenacity/__init__.py", line 329, in wrapped_f
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     return self.call(f, *args, **kw)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/tenacity/__init__.py", line 409, in call
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     do = self.iter(retry_state=retry_state)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/tenacity/__init__.py", line 356, in iter
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     return fut.result()
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib64/python3.6/concurrent/futures/_base.py", line 425, in result
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     return self.__get_result()
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib64/python3.6/concurrent/futures/_base.py", line 384, in __get_result
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     raise self._exception
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/tenacity/__init__.py", line 412, in call
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     result = fn(*args, **kwargs)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/ironic/drivers/modules/redfish/boot.py", line 200, in _insert_vmedia
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     write_protected=True)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/sushy/resources/manager/virtual_media.py", line 114, in insert_media
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     self._conn.post(target_uri, data=payload)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/sushy/connector.py", line 227, in post
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     **extra_session_req_kwargs)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/sushy/connector.py", line 127, in _op
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     exceptions.raise_for_response(method, url, response)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector   File "/usr/lib/python3.6/site-packages/sushy/exceptions.py", line 165, in raise_for_response
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector     raise BadRequestError(method, url, response)
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector sushy.exceptions.BadRequestError: HTTP POST https://10.46.61.17/redfish/v1/Managers/1/VirtualMedia/2/Actions/VirtualMedia.InsertMedia returned code 400. iLO.0.10.ExtendedInfo: See @Message.ExtendedInfo for more information. Extended information: [{'MessageArgs': ['Image', 'http://10.46.29.196:/redfish/boot-43280639-4555-4af7-8f98-70b90e8f2773.iso?filename=tmpbvh20k07.iso'], 'MessageId': 'Base.1.4.PropertyValueFormatError'}]
2021-08-05 07:36:06.929 1 ERROR ironic.drivers.modules.inspector 
..........
ERROR ironic.conductor.manager [req-caed3727-e820-4b9d-bbac-3ad4b19c21b8 - - - - -] Failed to inspect node 8f081abd-6e69-448a-b445-356d0ada3d19: Failed to inspect hardware. Reason: unable to start inspection: HTTP POST https://10.46.61.18/redfish/v1/Managers/1/VirtualMedia/2/Actions/VirtualMedia.InsertMedia returned code 400. iLO.0.10.ExtendedInfo: See @Message.ExtendedInfo for more information. Extended information: [{'MessageArgs': ['Image', 'http://10.46.29.196:/redfish/boot-8f081abd-6e69-448a-b445-356d0ada3d19.iso?filename=tmp5344jtc8.iso'], 'MessageId': 'Base.1.4.PropertyValueFormatError'}]: ironic.common.exception.HardwareInspectionFailure: Failed to inspect hardware. Reason: unable to start inspection: HTTP POST https://10.46.61.18/redfish/v1/Managers/1/VirtualMedia/2/Actions/VirtualMedia.InsertMedia returned code 400. iLO.0.10.ExtendedInfo: See @Message.ExtendedInfo for more information. Extended information: [{'MessageArgs': ['Image', 'http://10.46.29.196:/redfish/boot-8f081abd-6e69-448a-b445-356d0ada3d19.iso?filename=tmp5344jtc8.iso'], 'MessageId': 'Base.1.4.PropertyValueFormatError'}]

The problem due to missing port in http://10.46.29.196:/redfish/boot-43280639-4555-4af7-8f98-70b90e8f2773.iso?filename=tmpbvh20k07.iso

Version-Release number of selected component (if applicable):
4.9.0-0.nightly-2021-08-04-131508

How reproducible:
100%

Steps to Reproduce:
Usual deploy with virtualmedia

Actual results:
Deploy fails, hosts even not powered on

Expected results:
Deploy should pass

Additional info:
On virtual replica works
conductor log: http://rhos-compute-node-10.lab.eng.rdu2.redhat.com/logs/BZ1990316_ironic-conductor_log

Comment 2 Lubov 2021-08-08 09:07:01 UTC
verified on 4.9.0-0.nightly-2021-08-07-175228

Comment 5 errata-xmlrpc 2021-10-18 17:45:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.